An error occurred at 9% while indexing the posts on Wordpress

Hi I am having this problem: "An error occurred " (without any other message) while trying to index all wordpress posts. It stucks at 9% and cant continue.

1 Like

Hi @viniss,

Would you be able to investigate the PHP errors like indicated here?

Thank you,

Hi this is the output:

[15-Jan-2018 20:08:44 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:13 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:21 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:23 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:32 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:33 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:38 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:42 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:44 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:45 UTC] PHP Fatal error: s2If, malformed conditional [ current_user_can(access_s2member_level1 ] in /home/mysite/public_html/wp-content/plugins/s2member/src/includes/classes/sc-if-conds-in.inc.php on line 212
[15-Jan-2018 20:09:50 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:09:52 UTC] PHP Notice: Undefined variable: thumbnail in /home/mysite/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1176
[15-Jan-2018 20:09:56 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838
[15-Jan-2018 20:10:03 UTC] PHP Notice: echo_ald_crp is deprecated since version 2.2.0! Use echo_crp() instead. in /home/mysite/public_html/wp-includes/functions.php on line 3838

I think you should try to fix this one. There seems to be a PHP syntax error there. Fixing that one might solve the indexing issue.

I couldnt find "[ current_user_can(access_s2member_level1 ] " this over there.

Iā€™d love to help you more, however without having access to your code it will be hard for me to give you a clear direction here.

I would reach out to the authors of the s2member plugin to see how they can help troubleshoot your issue.